## metkit 1.11.0.DE.3

=== debian/changelog ===
metkit (1.11.0.DE.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Jan 2024 07:18:12 +0000

metkit (1.11.0-1) unstable; urgency=medium

  * New upstream release
  * Dep on eckit >= 1.25.0
  * Drop obsolete break/depends on  odb

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Dec 2023 10:26:16 +0000

=== debian/control ===
Source: metkit
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (=13),
 architecture-is-64-bit,
 ecbuild (>= 3.7.2-1~),
 gfortran | fortran-compiler,
 libeckit-dev (>= 1.25.0-1~),
 libodc-dev,
 odc,
 libeccodes-dev,
 libeccodes-tools,
 libopenjp2-7-dev
Standards-Version: 4.6.2
Homepage: https://github.com/ecmwf/metkit
Vcs-Browser: https://salsa.debian.org:/science-team/metkit.git
Vcs-Git: https://salsa.debian.org/science-team/metkit.git -b debian/latest

Package: libmetkit0d
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libmetkit-data
Description: Library for Meteorology tookit, implementing MARS language
 MetKit is a toolkit from ECMWF for manipulating and describing
 meteorological objects, implementing the MARS language and associated
 processing and semantics.
 MARS is the Meteorological Archive Retrieval System from ECMWF.

Package: libmetkit-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Data used by the ECMWF Metkit Library
 MetKit is a toolkit from ECMWF for manipulating and describing
 meteorological objects, implementing the MARS language and associated
 processing and semantics.
 .
 This package contains data used by Metkit

Package: libmetkit-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmetkit0d (= ${binary:Version}),
  ${misc:Depends}, libeckit-dev,
  libodc-dev
Recommends: pkg-config
Description: Development files for the Metkit toolkit
 MetKit is a toolkit from ECMWF for manipulating and describing
 meteorological objects, implementing the MARS language and associated
 processing and semantics.
 .
 This package provides shared libraries and headers.

Package: libmetkit-utils
Multi-Arch: foreign
Architecture: any
Depends: libmetkit0d ( = ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Recommends: libmetkit-dev (= ${binary:Version})
Description: Utilities for the MetKit MARS access library
 MetKit is a toolkit from ECMWF for manipulating and describing
 meteorological objects, implementing the MARS language and associated
 processing and semantics.
 .
 This package contains the tool 'parse-mars-request'

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
DESTDIR=$(CURDIR)/debian/tmp
CMAKEDIR:=$(DESTDIR)/$(LIBDIR)/cmake/metkit

# FC set to f77 by default in make
# Read default compiler name unless FC is actually set
ifeq ($(FC),f77)
  FC:=$(shell basename $(shell readlink /etc/alternatives/f77))
endif

# The magic debhelper  rule
%:
	dh $@ --buildsystem=ecbuild

CMAKE_CFLAGS:= -DENABLE_FORTRAN=ON \
		-DENABLE_RPATH=OFF \
		-DENABLE_ODB=$(DO_ODB) \
		-DENABLE_RELATIVE_RPATHS=OFF

override_dh_auto_configure:
	dh_auto_configure -- \
                      ${BUILD_FLAGS} -DCMAKE_Fortran_COMPILER=$(FC)

override_dh_auto_install:
	dh_auto_install
	sed -i -e 's%$${_IMPORT_PREFIX}/include%/usr/include/${DEB_HOST_MULTIARCH}%g'   $(CMAKEDIR)/metkit-targets.cmake

override_dh_auto_test:
	echo "Metkit fetches data from the internet, and hence the tests can't be run contained at build-time"

## metkit 1.11.6

=== CMakeLists.txt ===
# (C) Copyright 2011- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation nor
# does it submit to any jurisdiction.

########################################################################################################################

cmake_minimum_required( VERSION 3.12 FATAL_ERROR )

find_package( ecbuild 3.7.2 REQUIRED HINTS ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/../ecbuild)

project( metkit LANGUAGES CXX )

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

########################################################################################################################
### dependencies and options

ecbuild_add_option( FEATURE BUILD_TOOLS
                    DEFAULT ON
                    DESCRIPTION "Build the command line tools" )

ecbuild_add_option( FEATURE EXPERIMENTAL
                    DEFAULT OFF
                    DESCRIPTION "Experimental features" )
# GRIB support

ecbuild_add_option( FEATURE GRIB
                    DEFAULT ON
                    DESCRIPTION "Add support for GRIB format"
                    REQUIRED_PACKAGES "NAME eccodes VERSION 2.27" )

# BUFR support

ecbuild_add_option( FEATURE BUFR
                    DEFAULT ON
                    DESCRIPTION "Add support for BUFR format"
                    REQUIRED_PACKAGES "NAME eccodes VERSION 2.27" )

# netcdf support

ecbuild_add_option( FEATURE NETCDF
  DEFAULT ON
  DESCRIPTION "Support for NetCDF data"
  REQUIRED_PACKAGES NetCDF
)

# ODB support

ecbuild_add_option( FEATURE ODB
                    DEFAULT ON
                    DESCRIPTION "Add support for ODB data"
                    REQUIRED_PACKAGES "NAME odc VERSION 1.0" )

# Temporary
ecbuild_add_option( FEATURE FAIL_ON_CCSDS
                    DESCRIPTION "Fail on CCSDS"
                    DEFAULT OFF	 )
# eckit

set( PERSISTENT_NAMESPACE "eckit" CACHE INTERNAL "" ) # needed for generating .b files for persistent support

ecbuild_find_package( NAME eckit  VERSION  1.16 REQUIRED )

############################################################################################
# sources

include(cmake/compiler_warnings.cmake) # optionally handle compiler specific warnings

add_subdirectory( src )
add_subdirectory( share )
add_subdirectory( tests )

############################################################################################
# finalize

ecbuild_pkgconfig( NAME metkit
                   DESCRIPTION "ECMWF Meteorological toolkit"
                   LIBRARIES metkit )

ecbuild_install_project( NAME ${PROJECT_NAME} )

ecbuild_print_summary()

=== tests/CMakeLists.txt ===
# (C) Copyright 1996- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.

list(APPEND metkit_env "METKIT_HOME=${CMAKE_BINARY_DIR}")

if( DEFINED ECCODES_DEFINITION_PATH )
  list(APPEND metkit_env "ECCODES_DEFINITION_PATH=${ECCODES_DEFINITION_PATH}")
elseif( IS_DIRECTORY "${CMAKE_BINARY_DIR}/share/eccodes/definitions" )
  list(APPEND metkit_env "ECCODES_DEFINITION_PATH=${CMAKE_BINARY_DIR}/share/eccodes/definitions")
endif()


ecbuild_get_test_multidata( TARGET grib_get_data
                            DIRNAME grib_api/data
                            NAMES latlon.grib )

ecbuild_get_test_multidata( TARGET metkit_get_odb_data
                            NAMES multiodb.odb
                                  multiodb2.odb )

# ecbuild_add_test( TARGET        metkit_test_emosfile
#                   ARGS          --log_level=message
#                   CONDITION     HAVE_GRIB
#                   INCLUDES      "${ECKIT_INCLUDE_DIRS}"
#                   SOURCES       test_emosfile.cc
#                   ENVIRONMENT   "${metkit_env}"
#                   LIBS          metkit
#                   TEST_DEPENDS  grib_get_data
# )


ecbuild_add_test( TARGET        metkit_test_multihandle
                  CONDITION     HAVE_GRIB
                  INCLUDES      "${ECCODES_INCLUDE_DIRS}"
                  SOURCES       test_multihandle.cc
                  LIBS          metkit
                  NO_AS_NEEDED
                  TEST_DEPENDS  grib_get_data
                  ENVIRONMENT   "${metkit_env}"
)

ecbuild_add_test( TARGET      "metkit_test_codes_decoder"
                  CONDITION   HAVE_GRIB OR HAVE_BUFR
                  SOURCES     "test_codes_decoder.cc"
                  INCLUDES    "${ECKIT_INCLUDE_DIRS}" "${ECCODES_INCLUDE_DIR}"
                  LIBS        metkit
                  NO_AS_NEEDED
                  ENVIRONMENT "${metkit_env}"
)

ecbuild_add_test( TARGET        metkit_test_odbsplitter
                  CONDITION     HAVE_ODB
                  SOURCES       test_odbsplitter.cc
                  INCLUDES      "${ECKIT_INCLUDE_DIRS}"
                  TEST_DEPENDS  metkit_get_odb_data
                  NO_AS_NEEDED
                  LIBS          metkit )

list(APPEND testFileSuffixes typesfactory expand param_axis steprange_axis time hypercube type_levelist )

foreach(test IN LISTS testFileSuffixes)
    ecbuild_add_test( TARGET    "metkit_test_${test}"
                      SOURCES   "test_${test}.cc"
                      INCLUDES  "${ECKIT_INCLUDE_DIRS}"
                      ENVIRONMENT   "${metkit_env}"
                      NO_AS_NEEDED
                      LIBS      metkit)
endforeach()

# if ( HAVE_NETCDF )
#    add_subdirectory(netcdf)
# endif()

add_subdirectory(regressions)
add_subdirectory(marsgen)

=== src/metkit/CMakeLists.txt ===
### config headers

ecbuild_generate_config_headers( DESTINATION ${INSTALL_INCLUDE_DIR}/metkit )

configure_file( metkit_config.h.in    metkit_config.h )
configure_file( metkit_version.h.in   metkit_version.h )
configure_file( metkit_version.cc.in  metkit_version.cc )

install(FILES
            ${CMAKE_CURRENT_BINARY_DIR}/metkit_config.h
            ${CMAKE_CURRENT_BINARY_DIR}/metkit_version.h
        DESTINATION
            ${INSTALL_INCLUDE_DIR}/metkit )

### metkit sources

list( APPEND metkit_srcs
    ${CMAKE_CURRENT_BINARY_DIR}/metkit_version.cc
    config/LibMetkit.cc
    config/LibMetkit.h
    mars/BaseProtocol.cc
    mars/BaseProtocol.h
    mars/ClientTask.cc
    mars/ClientTask.h
    mars/DHSProtocol.cc
    mars/DHSProtocol.h
    mars/MarsExpandContext.cc
    mars/MarsExpandContext.h
    mars/MarsExpension.cc
    mars/MarsExpension.h
    mars/MarsHandle.cc
    mars/MarsHandle.h
    mars/MarsLanguage.cc
    mars/MarsLanguage.h
    mars/MarsLocation.cc
    mars/MarsLocation.h
    mars/MarsParsedRequest.cc
    mars/MarsParsedRequest.h
    mars/MarsParser.cc
    mars/MarsParser.h
    mars/MarsParserContext.cc
    mars/MarsParserContext.h
    mars/MarsRequest.cc
    mars/MarsRequest.h
    mars/MarsRequestHandle.cc
    mars/MarsRequestHandle.h
    mars/Parameter.cc
    mars/Parameter.h
    mars/ParamID.cc
    mars/ParamID.h
    mars/Quantile.cc
    mars/Quantile.h
    mars/RequestEnvironment.cc
    mars/RequestEnvironment.h
    mars/StepRangeNormalise.h
    mars/Type.cc
    mars/Type.h
    mars/TypeAny.cc
    mars/TypeAny.h
    mars/TypeDate.cc
    mars/TypeDate.cc
    mars/TypeDate.h
    mars/TypeDate.h
    mars/TypeEnum.cc
    mars/TypeEnum.h
    mars/TypeExpver.cc
    mars/TypeExpver.h
    mars/TypeFloat.cc
    mars/TypeFloat.h
    mars/TypeInteger.cc
    mars/TypeInteger.h
    mars/TypeLowercase.cc
    mars/TypeLowercase.h
    mars/TypeMixed.cc
    mars/TypeMixed.h
    mars/TypeParam.cc
    mars/TypeParam.h
    mars/TypeRange.cc
    mars/TypeRange.h
    mars/TypeRegex.cc
    mars/TypeRegex.h
    mars/TypesFactory.cc
    mars/TypesFactory.h
    mars/TypeTime.cc
    mars/TypeTime.h
    mars/TypeToByList.cc
    mars/TypeToByList.h
    mars/TypeToByListFloat.cc
    mars/TypeToByListFloat.h
    mars/TypeToByListQuantile.cc
    mars/TypeToByListQuantile.h
    tool/MetkitTool.cc
    tool/MetkitTool.h
    fields/FieldIndex.cc
    fields/FieldIndex.h
    fields/FieldIndexList.cc
    fields/FieldIndexList.h
    fields/SimpleFieldIndex.cc
    fields/SimpleFieldIndex.h
    hypercube/HyperCube.cc
    hypercube/HyperCube.h
    hypercube/HyperCubePayloaded.h
)

list( APPEND metkit_persistent_srcs
    mars/Param.cc
    mars/Param.h
    mars/Param
    mars/StepRange.cc
    mars/StepRange.h
    mars/StepRange
)
list( APPEND metkit_srcs ${metkit_persistent_srcs} )

if ( HAVE_GRIB )

    list( APPEND metkit_srcs
        pointdb/bits.h
        pointdb/DataSource.cc
        pointdb/DataSource.h
        pointdb/FieldIndexer.cc
        pointdb/FieldIndexer.h
        pointdb/GribDataSource.cc
        pointdb/GribDataSource.h
        pointdb/GribFieldInfo.cc
        pointdb/GribFieldInfo.h
        pointdb/GribHandleDataSource.cc
        pointdb/GribHandleDataSource.h
        pointdb/masks.h
        pointdb/PointIndex.cc
        pointdb/PointIndex.h
        codes/CodesDecoder.h
        codes/BUFRDecoder.cc
        codes/BUFRDecoder.h
        codes/GRIBDecoder.cc
        codes/GRIBDecoder.h
        codes/LibEccodes.cc
        codes/LibEccodes.h
        codes/CodesContent.cc
        codes/CodesContent.h
        codes/BufrContent.cc
        codes/BufrContent.h
        codes/UserDataContent.cc
        codes/UserDataContent.h
        codes/DataContent.cc
        codes/DataContent.h
        codes/MallocCodesContent.cc
        codes/MallocCodesContent.h
        codes/CodesSplitter.cc
        codes/CodesSplitter.h
        codes/GribAccessor.cc
        codes/GribAccessor.h
        codes/GribHandle.cc
        codes/GribHandle.h
        codes/GribIterator.cc
        codes/GribIterator.h
        codes/CodesHandleDeleter.h
        )

    set( grib_libs eccodes )

endif ()

if ( HAVE_ODB )

    list( APPEND metkit_srcs
            odb/IdMapper.cc
            odb/IdMapper.h
            odb/OdbToRequest.cc
            odb/OdbToRequest.h
            odb/OdbMetadataDecoder.cc
            odb/OdbMetadataDecoder.h
            odb/OdbDecoder.cc
            odb/OdbContent.cc
            odb/OdbContent.h
            odb/OdbDecoder.h
            odb/OdbSplitter.cc
            odb/OdbSplitter.h
        )
    set( odc_libs odccore )
endif()

ecbuild_add_library(

    TARGET metkit

    INSTALL_HEADERS LISTED

    HEADER_DESTINATION
        ${INSTALL_INCLUDE_DIR}/metkit

    PERSISTENT
        ${metkit_persistent_srcs}

    SOURCES
        ${metkit_srcs}

    PUBLIC_INCLUDES
       $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/src>
       $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src>

    PRIVATE_LIBS
        "${odc_libs}"

    PUBLIC_LIBS
        eckit
        eckit_option
        ${grib_libs}
)

=== src/tools/CMakeLists.txt ===
### provides MARS requests from GRIB files

# ecbuild_add_executable( TARGET   grib-to-mars-request

#     CONDITION HAVE_GRIB

#     SOURCES  grib-to-mars-request.cc

#     INCLUDES
#         ${ECKIT_INCLUDE_DIRS}

#     LIBS     metkit
# )

# ecbuild_add_executable( TARGET   grib-blob

#     CONDITION HAVE_GRIB

#     SOURCES  grib-blob.cc

#     INCLUDES
#         ${ECKIT_INCLUDE_DIRS}

#     LIBS     metkit eckit_option eckit
# )


# ecbuild_add_executable( TARGET   bufr-to-mars-request

#     CONDITION HAVE_BUFR

#     SOURCES  bufr-to-mars-request.cc

#     INCLUDES ${ECCODES_INCLUDE_DIRS} ${ECKIT_INCLUDE_DIRS}

#     LIBS     metkit eckit_option eckit eccodes
# )

ecbuild_add_executable( TARGET    parse-mars-request
    CONDITION HAVE_GRIB AND HAVE_BUILD_TOOLS
    SOURCES   parse-mars-request.cc
    INCLUDES  ${ECKIT_INCLUDE_DIRS}
    LIBS        metkit eckit_option eckit eccodes
    NO_AS_NEEDED
)

ecbuild_add_executable( TARGET    odb-to-request
    SOURCES   odb-to-request.cc
    CONDITION HAVE_ODB AND HAVE_BUILD_TOOLS
    INCLUDES  ${ECKIT_INCLUDE_DIRS}
    NO_AS_NEEDED
    LIBS      metkit eckit_option )

ecbuild_add_executable( TARGET    bufr-sanity-check
    SOURCES   bufr-sanity-check.cc
    CONDITION HAVE_BUFR AND HAVE_BUILD_TOOLS
    INCLUDES  ${ECKIT_INCLUDE_DIRS}
    NO_AS_NEEDED
    LIBS      metkit eckit_option )

ecbuild_add_executable(
    TARGET        mars-archive-script
    SOURCES       mars-archive-script.cc
    CONDITION     HAVE_BUILD_TOOLS
    INCLUDES      ${ECKIT_INCLUDE_DIRS}
    NO_AS_NEEDED
    LIBS          metkit
)

# ecbuild_add_executable( TARGET     ncmerge
#                         SOURCES    ncmerge.cc
#                         CONDITION  HAVE_NETCDF
#                         LIBS       metkit NetCDF::NetCDF_C )


if(HAVE_BUILD_TOOLS)
  file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/nccompare.py
    DESTINATION ${CMAKE_BINARY_DIR}/bin
    FILE_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE )
endif()

=== share/metkit/odb/CMakeLists.txt ===
list( APPEND files_odb marsrequest.yaml class.table type.table stream.table group.txt )

foreach( _file ${files_odb} )

    configure_file( ${_file} ${CMAKE_BINARY_DIR}/share/metkit/odb/${_file} COPYONLY )

    install( FILES  ${CMAKE_BINARY_DIR}/share/metkit/odb/${_file}
             DESTINATION "share/metkit/odb"
             PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ )

endforeach()

=== debian/changelog ===
metkit (1.11.6-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 Feb 2024 07:16:30 +0000

metkit (1.11.5-1) unstable; urgency=medium

  * New upstream release
  * Replace recommends: pkg-config -> pkgconf

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 10 Feb 2024 06:05:08 +0000

metkit (1.11.4-1) unstable; urgency=medium

  * Drop unused references to Fortran
  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Feb 2024 06:41:07 +0000

metkit (1.11.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Jan 2024 07:05:34 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends: debhelper-compat (=13),
  architecture-is-64-bit,
  ecbuild (>= 3.7.2-1~),
- gfortran | fortran-compiler,
  libeckit-dev (>= 1.25.0-1~),
  libodc-dev,
  odc,
@@ -46,7 +45,7 @@
 Depends: libmetkit0d (= ${binary:Version}),
   ${misc:Depends}, libeckit-dev,
   libodc-dev
-Recommends: pkg-config
+Recommends: pkgconf
 Description: Development files for the Metkit toolkit
  MetKit is a toolkit from ECMWF for manipulating and describing
  meteorological objects, implementing the MARS language and associated

## metkit 1.11.11

=== debian/changelog ===
metkit (1.11.11-1) unstable; urgency=medium

  * New upstream release
  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Apr 2024 06:48:41 +0100

metkit (1.11.10-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 12 Apr 2024 09:02:12 +0100

metkit (1.11.9-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Apr 2024 11:40:45 +0100

metkit (1.11.7-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Mar 2024 06:27:33 +0000

## metkit 1.11.13

=== debian/changelog ===
metkit (1.11.13-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Jun 2024 07:07:21 +0100

metkit (1.11.12-1) unstable; urgency=medium

  * New upstream release
  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 May 2024 08:12:43 +0100

## metkit 1.11.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -56,6 +56,12 @@
                     DESCRIPTION "Add support for ODB data"
                     REQUIRED_PACKAGES "NAME odc VERSION 1.0" )
 
+# METKIT config files support
+
+ecbuild_add_option( FEATURE METKIT_CONFIG
+                    DEFAULT ON
+                    DESCRIPTION "Install metkit configuration files" )
+
 # Temporary
 ecbuild_add_option( FEATURE FAIL_ON_CCSDS
                     DESCRIPTION "Fail on CCSDS"

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,8 @@
 
 ecbuild_get_test_multidata( TARGET grib_get_data
                             DIRNAME grib_api/data
-                            NAMES latlon.grib )
+                            NAMES latlon.grib
+                                  synthetic_2msgs.grib )
 
 ecbuild_get_test_multidata( TARGET metkit_get_odb_data
                             NAMES multiodb.odb
@@ -61,6 +62,15 @@
                   NO_AS_NEEDED
                   LIBS          metkit )
 
+ecbuild_add_test( TARGET        metkit_test_gribhandle
+                  CONDITION     HAVE_GRIB
+                  SOURCES       test_gribhandle.cc
+                  INCLUDES      "${ECKIT_INCLUDE_DIRS}" "${ECCODES_INCLUDE_DIR}"
+                  LIBS          metkit
+                  TEST_DEPENDS  grib_get_data
+                  NO_AS_NEEDED
+                  ENVIRONMENT   "${metkit_env}")
+
 list(APPEND testFileSuffixes typesfactory expand param_axis steprange_axis time hypercube type_levelist )
 
 foreach(test IN LISTS testFileSuffixes)

=== share/metkit/CMakeLists.txt ===
list( APPEND files language.yaml paramids.yaml params.yaml params-static.yaml param-matching.yaml bufr-subtypes.yaml axis.yaml )

foreach( _file ${files} )

    configure_file( ${_file} ${CMAKE_BINARY_DIR}/share/metkit/${_file} COPYONLY )

    if( HAVE_METKIT_CONFIG )
        install( FILES  ${CMAKE_BINARY_DIR}/share/metkit/${_file}
                DESTINATION "share/metkit"
                PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ )
    endif()

endforeach()

add_subdirectory( odb )

=== debian/changelog ===
metkit (1.11.14-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 13 Jun 2024 10:21:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: metkit
 Section: utils
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (=13),
  architecture-is-64-bit,
  ecbuild (>= 3.7.2-1~),
@@ -13,7 +14,7 @@
  libopenjp2-7-dev
 Standards-Version: 4.6.2
 Homepage: https://github.com/ecmwf/metkit
-Vcs-Browser: https://salsa.debian.org:/science-team/metkit.git
+Vcs-Browser: https://salsa.debian.org/science-team/metkit.git
 Vcs-Git: https://salsa.debian.org/science-team/metkit.git -b debian/latest
 
 Package: libmetkit0d

## metkit 1.11.20

=== debian/changelog ===
metkit (1.11.20-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Oct 2024 09:21:55 +0100

metkit (1.11.19+ds-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version now 4.7.0

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 13 Sep 2024 10:25:44 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libeccodes-dev,
  libeccodes-tools,
  libopenjp2-7-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/ecmwf/metkit
 Vcs-Browser: https://salsa.debian.org/science-team/metkit.git
 Vcs-Git: https://salsa.debian.org/science-team/metkit.git -b debian/latest

## metkit 1.11.22

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,8 @@
 
 ########################################################################################################################
 ### dependencies and options
+
+ecbuild_bundle( PROJECT share    GIT "https://github.com/ecmwf/metkit-configs"    BRANCH main UPDATE)
 
 ecbuild_add_option( FEATURE BUILD_TOOLS
                     DEFAULT ON
@@ -56,12 +58,6 @@
                     DESCRIPTION "Add support for ODB data"
                     REQUIRED_PACKAGES "NAME odc VERSION 1.0" )
 
-# METKIT config files support
-
-ecbuild_add_option( FEATURE METKIT_CONFIG
-                    DEFAULT ON
-                    DESCRIPTION "Install metkit configuration files" )
-
 # Temporary
 ecbuild_add_option( FEATURE FAIL_ON_CCSDS
                     DESCRIPTION "Fail on CCSDS"
@@ -78,7 +74,6 @@
 include(cmake/compiler_warnings.cmake) # optionally handle compiler specific warnings
 
 add_subdirectory( src )
-add_subdirectory( share )
 add_subdirectory( tests )
 
 ############################################################################################

=== share/CMakeLists.txt ===
# METKIT config files support
ecbuild_add_option( FEATURE METKIT_CONFIG
                    DEFAULT ON
                    DESCRIPTION "Install metkit configuration files" )

add_subdirectory( metkit )

ecbuild_install_project( NAME metkit-config )

=== debian/changelog ===
metkit (1.11.22-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 Nov 2024 08:29:39 +0000

metkit (1.11.21-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Nov 2024 16:37:21 +0000

## metkit 1.12.0

=== debian/changelog ===
metkit (1.12.0-1) unstable; urgency=medium

  * New upstream release
  * Depend on libeckit >= 1.28.5
  * shebang.patch: fix python3 paths

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 02 Feb 2025 09:09:11 +0000

## metkit 1.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,33 @@
 ########################################################################################################################
 ### dependencies and options
 
-ecbuild_bundle( PROJECT share    GIT "https://github.com/ecmwf/metkit-configs"    BRANCH main UPDATE)
+if(NOT METKIT_CONFIGS_BRANCH)
+    set(METKIT_CONFIGS_BRANCH chk)
+endif()
+
+if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/share")
+    if(IS_SYMLINK "${CMAKE_CURRENT_SOURCE_DIR}/share")
+        if (METKIT_CONFIGS_PATH)
+            #check if it matches with METKIT_CONFIGS_PATH
+            file(REAL_PATH "${CMAKE_CURRENT_SOURCE_DIR}/share" current_metkit_config_path EXPAND_TILDE)
+            file(REAL_PATH "${METKIT_CONFIGS_PATH}" requested_metkit_config_path EXPAND_TILDE)
+            if(NOT (current_metkit_config_path STREQUAL requested_metkit_config_path))
+                message(SEND_ERROR "metkit-configs refers to ${current_metkit_config_path}; requested METKIT_CONFIGS_PATH is ${requested_metkit_config_path}")
+            endif()
+        endif()
+    elseif(IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/share")
+        # update the content
+        ecbuild_bundle( PROJECT share    GIT "https://github.com/ecmwf/metkit-configs"    BRANCH "${METKIT_CONFIGS_BRANCH}" UPDATE )
+    else()
+        message(SEND_ERROR "${CMAKE_CURRENT_SOURCE_DIR}/share must point to a valid metkit configuration. Cannot be a regular file")
+    endif()
+else()
+    if(METKIT_CONFIGS_PATH)
+        file( CREATE_LINK "${METKIT_CONFIGS_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/share" SYMBOLIC )
+    else()
+        ecbuild_bundle( PROJECT share    GIT "https://github.com/ecmwf/metkit-configs"    BRANCH "${METKIT_CONFIGS_BRANCH}" UPDATE )
+    endif()
+endif()
 
 ecbuild_add_option( FEATURE BUILD_TOOLS
                     DEFAULT ON

=== debian/changelog ===
metkit (1.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Feb 2025 09:49:55 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (=13),
  architecture-is-64-bit,
  ecbuild (>= 3.7.2-1~),
- libeckit-dev (>= 1.25.0-1~),
+ libeckit-dev (>= 1.28.5-1~),
  libodc-dev,
  odc,
  libeccodes-dev,

## metkit 1.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,30 +22,6 @@
 
 if(NOT METKIT_CONFIGS_BRANCH)
     set(METKIT_CONFIGS_BRANCH chk)
-endif()
-
-if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/share")
-    if(IS_SYMLINK "${CMAKE_CURRENT_SOURCE_DIR}/share")
-        if (METKIT_CONFIGS_PATH)
-            #check if it matches with METKIT_CONFIGS_PATH
-            file(REAL_PATH "${CMAKE_CURRENT_SOURCE_DIR}/share" current_metkit_config_path EXPAND_TILDE)
-            file(REAL_PATH "${METKIT_CONFIGS_PATH}" requested_metkit_config_path EXPAND_TILDE)
-            if(NOT (current_metkit_config_path STREQUAL requested_metkit_config_path))
-                message(SEND_ERROR "metkit-configs refers to ${current_metkit_config_path}; requested METKIT_CONFIGS_PATH is ${requested_metkit_config_path}")
-            endif()
-        endif()
-    elseif(IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/share")
-        # update the content
-        ecbuild_bundle( PROJECT share    GIT "https://github.com/ecmwf/metkit-configs"    BRANCH "${METKIT_CONFIGS_BRANCH}" UPDATE )
-    else()
-        message(SEND_ERROR "${CMAKE_CURRENT_SOURCE_DIR}/share must point to a valid metkit configuration. Cannot be a regular file")
-    endif()
-else()
-    if(METKIT_CONFIGS_PATH)
-        file( CREATE_LINK "${METKIT_CONFIGS_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/share" SYMBOLIC )
-    else()
-        ecbuild_bundle( PROJECT share    GIT "https://github.com/ecmwf/metkit-configs"    BRANCH "${METKIT_CONFIGS_BRANCH}" UPDATE )
-    endif()
 endif()
 
 ecbuild_add_option( FEATURE BUILD_TOOLS
@@ -84,6 +60,12 @@
                     DESCRIPTION "Add support for ODB data"
                     REQUIRED_PACKAGES "NAME odc VERSION 1.0" )
 
+# METKIT config files support
+
+ecbuild_add_option( FEATURE METKIT_CONFIG
+                    DEFAULT ON
+                    DESCRIPTION "Install metkit configuration files" )
+
 # Temporary
 ecbuild_add_option( FEATURE FAIL_ON_CCSDS
                     DESCRIPTION "Fail on CCSDS"
@@ -100,6 +82,7 @@
 include(cmake/compiler_warnings.cmake) # optionally handle compiler specific warnings
 
 add_subdirectory( src )
+add_subdirectory( share )
 add_subdirectory( tests )
 
 ############################################################################################

=== share/CMakeLists.txt ===
add_subdirectory( metkit )

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -71,7 +71,7 @@
                   NO_AS_NEEDED
                   ENVIRONMENT   "${metkit_env}")
 
-list(APPEND testFileSuffixes typesfactory expand param_axis steprange_axis time hypercube type_levelist )
+list(APPEND testFileSuffixes typesfactory expand request param_axis steprange_axis time hypercube type_levelist )
 
 foreach(test IN LISTS testFileSuffixes)
     ecbuild_add_test( TARGET    "metkit_test_${test}"

=== debian/changelog ===
metkit (1.12.2-2) unstable; urgency=medium

  * python3-any should be python3

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 05 Mar 2025 10:55:47 +0000

metkit (1.12.2-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2
  * -utils: depend on python3-any

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Mar 2025 10:57:05 +0000

## metkit 1.12.4

=== debian/changelog ===
metkit (1.12.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 26 Mar 2025 05:59:12 +0000

metkit (1.12.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 21 Mar 2025 19:18:10 +0000

## metkit 1.12.8

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -71,7 +71,7 @@
                   NO_AS_NEEDED
                   ENVIRONMENT   "${metkit_env}")
 
-list(APPEND testFileSuffixes typesfactory expand request param_axis steprange_axis time hypercube type_levelist )
+list(APPEND testFileSuffixes typesfactory expand request param_axis steprange_axis date time step hypercube type_levelist c_api integer_range )
 
 foreach(test IN LISTS testFileSuffixes)
     ecbuild_add_test( TARGET    "metkit_test_${test}"
@@ -82,6 +82,14 @@
                       LIBS      metkit)
 endforeach()
 
+# Compile C test
+ecbuild_add_test( TARGET        metkit_test_c_compiled
+                  SOURCES       test_c_api.c
+                  INCLUDES      "${ECKIT_INCLUDE_DIRS}"
+                  LIBS          metkit
+                  NO_AS_NEEDED
+                  ENVIRONMENT   "${metkit_env}")
+
 # if ( HAVE_NETCDF )
 #    add_subdirectory(netcdf)
 # endif()

=== debian/changelog ===
metkit (1.12.8-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 30 Mar 2025 09:24:34 +0100

## metkit 1.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 find_package( ecbuild 3.7.2 REQUIRED HINTS ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/../ecbuild)
 
-project( metkit LANGUAGES CXX )
+project( metkit LANGUAGES CXX C )
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -71,7 +71,7 @@
                   NO_AS_NEEDED
                   ENVIRONMENT   "${metkit_env}")
 
-list(APPEND testFileSuffixes typesfactory expand request param_axis steprange_axis date time step hypercube type_levelist c_api integer_range )
+list(APPEND testFileSuffixes typesfactory expand filter request param_axis steprange_axis date time step hypercube type_levelist c_api integer_range )
 
 foreach(test IN LISTS testFileSuffixes)
     ecbuild_add_test( TARGET    "metkit_test_${test}"

=== share/metkit/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-list( APPEND files language.yaml paramids.yaml params.yaml params-static.yaml param-matching.yaml bufr-subtypes.yaml axis.yaml )
+list( APPEND files language.yaml paramids.yaml params.yaml params-static.yaml param-matching.yaml bufr-subtypes.yaml axis.yaml shortname-context.yaml )
 
 foreach( _file ${files} )

=== src/metkit/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
 
 configure_file( metkit_config.h.in    metkit_config.h )
 configure_file( metkit_version.h.in   metkit_version.h )
-configure_file( metkit_version.cc.in  metkit_version.cc )
 
 install(FILES
             ${CMAKE_CURRENT_BINARY_DIR}/metkit_config.h
@@ -15,7 +14,7 @@
 ### metkit sources
 
 list( APPEND metkit_srcs
-    ${CMAKE_CURRENT_BINARY_DIR}/metkit_version.cc
+    metkit_version.c
     config/LibMetkit.cc
     config/LibMetkit.h
     mars/BaseProtocol.cc
@@ -83,10 +82,7 @@
     mars/TypesFactory.h
     mars/TypeTime.cc
     mars/TypeTime.h
-    mars/TypeToByList.cc
     mars/TypeToByList.h
-    mars/TypeToByListFloat.cc
-    mars/TypeToByListFloat.h
     mars/TypeToByListQuantile.cc
     mars/TypeToByListQuantile.h
     tool/MetkitTool.cc
@@ -100,6 +96,8 @@
     hypercube/HyperCube.cc
     hypercube/HyperCube.h
     hypercube/HyperCubePayloaded.h
+    api/metkit_c.cc 
+    api/metkit_c.h
 )
 
 list( APPEND metkit_persistent_srcs
@@ -198,6 +196,7 @@
     PUBLIC_INCLUDES
        $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/src>
        $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src>
+       $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}> # for metkit_version.h
 
     PRIVATE_LIBS
         "${odc_libs}"

=== debian/changelog ===
metkit (1.13.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Apr 2025 07:21:23 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (=13),
  architecture-is-64-bit,
+ dh-sequence-python3,
  ecbuild (>= 3.7.2-1~),
  libeckit-dev (>= 1.28.5-1~),
  libodc-dev,
@@ -12,7 +13,7 @@
  libeccodes-dev,
  libeccodes-tools,
  libopenjp2-7-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/ecmwf/metkit
 Vcs-Browser: https://salsa.debian.org/science-team/metkit.git
 Vcs-Git: https://salsa.debian.org/science-team/metkit.git -b debian/latest
@@ -58,7 +59,7 @@
 Multi-Arch: foreign
 Architecture: any
 Depends: libmetkit0d ( = ${binary:Version}),
-  ${shlibs:Depends}, ${misc:Depends}
+  ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Recommends: libmetkit-dev (= ${binary:Version})
 Description: Utilities for the MetKit MARS access library
  MetKit is a toolkit from ECMWF for manipulating and describing

## metkit 1.13.1

=== debian/changelog ===
metkit (1.13.1-1) experimental; urgency=medium

  * New upstream release
  * Dep on eckit >= 1.29. Closes: #1104355

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 May 2025 10:33:50 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  architecture-is-64-bit,
  dh-sequence-python3,
  ecbuild (>= 3.7.2-1~),
- libeckit-dev (>= 1.28.5-1~),
+ libeckit-dev (>= 1.29.1-1~),
  libodc-dev,
  odc,
  libeccodes-dev,

## metkit 1.14.0

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -24,16 +24,8 @@
                             NAMES multiodb.odb
                                   multiodb2.odb )
 
-# ecbuild_add_test( TARGET        metkit_test_emosfile
-#                   ARGS          --log_level=message
-#                   CONDITION     HAVE_GRIB
-#                   INCLUDES      "${ECKIT_INCLUDE_DIRS}"
-#                   SOURCES       test_emosfile.cc
-#                   ENVIRONMENT   "${metkit_env}"
-#                   LIBS          metkit
-#                   TEST_DEPENDS  grib_get_data
-# )
-
+add_custom_target(soft_link_expand_test_data ALL
+                  COMMAND ${CMAKE_COMMAND} -E create_symlink "${CMAKE_CURRENT_SOURCE_DIR}/expand" "${CMAKE_CURRENT_BINARY_DIR}/expand")
 
 ecbuild_add_test( TARGET        metkit_test_multihandle
                   CONDITION     HAVE_GRIB
@@ -71,15 +63,28 @@
                   NO_AS_NEEDED
                   ENVIRONMENT   "${metkit_env}")
 
-list(APPEND testFileSuffixes typesfactory expand filter request param_axis steprange_axis date time step hypercube type_levelist c_api integer_range )
-
-foreach(test IN LISTS testFileSuffixes)
-    ecbuild_add_test( TARGET    "metkit_test_${test}"
-                      SOURCES   "test_${test}.cc"
-                      INCLUDES  "${ECKIT_INCLUDE_DIRS}"
-                      ENVIRONMENT   "${metkit_env}"
+foreach( test 
+        c_api
+        context
+        date
+        expand
+        filter
+        hypercube
+        integer_range
+        language
+        param_axis
+        request
+        step
+        steprange_axis
+        time
+        type_levelist
+        typesfactory )
+    ecbuild_add_test( TARGET       "metkit_test_${test}"
+                      SOURCES      "test_${test}.cc"
+                      INCLUDES     "${ECKIT_INCLUDE_DIRS}"
+                      ENVIRONMENT  "${metkit_env}"
                       NO_AS_NEEDED
-                      LIBS      metkit)
+                      LIBS         metkit)
 endforeach()
 
 # Compile C test

=== debian/changelog ===
metkit (1.14.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Jun 2025 11:30:11 +0100

metkit (1.13.3-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Jun 2025 08:50:08 +0100

metkit (1.13.2-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 30 May 2025 15:08:45 +0100

metkit (1.13.1-2) expeerimental; urgency=medium

  * Build against eckit 1.29.3-1, depend on odc >= 1.6.1-1

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 May 2025 07:49:40 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  ecbuild (>= 3.7.2-1~),
  libeckit-dev (>= 1.29.1-1~),
  libodc-dev,
- odc,
+ odc (>= 1.6.1-1~),
  libeccodes-dev,
  libeccodes-tools,
  libopenjp2-7-dev

## metkit 1.14.1

=== debian/changelog ===
metkit (1.14.1-1) experimental; urgency=medium

  * New upstream release
  *  B-D on libeckit-dev >= 1.31.4-1
  * Remove old FSF address from d/copyright

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Jul 2025 09:52:33 +0100

metkit (1.13.1-2) experimental; urgency=medium

  * Build against eckit 1.29.3-1, depend on odc >= 1.6.1-1

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 May 2025 07:49:40 +0100

## metkit 1.14.2

=== debian/changelog ===
metkit (1.14.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Aug 2025 10:05:54 +0100

## metkit 1.14.3

=== share/metkit/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-list( APPEND files language.yaml paramids.yaml params.yaml params-static.yaml param-matching.yaml bufr-subtypes.yaml axis.yaml shortname-context.yaml )
+list( APPEND files language.yaml obstype.yaml paramids.yaml params.yaml params-static.yaml param-matching.yaml bufr-subtypes.yaml axis.yaml shortname-context.yaml )
 
 foreach( _file ${files} )

=== src/metkit/CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,8 @@
     mars/DHSProtocol.h
     mars/MarsExpandContext.cc
     mars/MarsExpandContext.h
-    mars/MarsExpension.cc
+    mars/MarsExpansion.cc
+    mars/MarsExpansion.h
     mars/MarsExpension.h
     mars/MarsHandle.cc
     mars/MarsHandle.h
@@ -57,8 +58,6 @@
     mars/TypeAny.cc
     mars/TypeAny.h
     mars/TypeDate.cc
-    mars/TypeDate.cc
-    mars/TypeDate.h
     mars/TypeDate.h
     mars/TypeEnum.cc
     mars/TypeEnum.h
@@ -96,7 +95,7 @@
     hypercube/HyperCube.cc
     hypercube/HyperCube.h
     hypercube/HyperCubePayloaded.h
-    api/metkit_c.cc 
+    api/metkit_c.cc
     api/metkit_c.h
 )
 
@@ -132,8 +131,6 @@
         codes/BUFRDecoder.h
         codes/GRIBDecoder.cc
         codes/GRIBDecoder.h
-        codes/LibEccodes.cc
-        codes/LibEccodes.h
         codes/CodesContent.cc
         codes/CodesContent.h
         codes/BufrContent.cc
@@ -153,7 +150,14 @@
         codes/GribIterator.cc
         codes/GribIterator.h
         codes/CodesHandleDeleter.h
+    )
+
+    if( NOT eccodes_HAVE_GEOGRAPHY OR NOT eccodes_HAVE_ECKIT_GEO )
+        list( APPEND metkit_srcs
+            codes/LibEccodes.cc
+            codes/LibEccodes.h
         )
+    endif()
 
     set( grib_libs eccodes )

=== debian/changelog ===
metkit (1.14.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 24 Aug 2025 10:29:59 +0100

## metkit 1.14.4

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -72,6 +72,7 @@
         hypercube
         integer_range
         language
+        obstype
         param_axis
         request
         step

=== debian/changelog ===
metkit (1.14.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Sep 2025 09:11:33 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/-rc/~rc/, filenamemangle=s/.+\/(\d\S+)\.tar\.gz/$1\.tar\.gz/" \
  https://github.com/ecmwf/metkit/tags .*/v?(\d\d?\d?\..+).tar\.gz

## metkit 1.15.0

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -71,6 +71,7 @@
         filter
         hypercube
         integer_range
+        matcher
         language
         obstype
         param_axis

=== debian/changelog ===
metkit (1.15.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 01 Oct 2025 08:59:55 +0100

## metkit 1.15.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -74,7 +74,7 @@
 
 set( PERSISTENT_NAMESPACE "eckit" CACHE INTERNAL "" ) # needed for generating .b files for persistent support
 
-ecbuild_find_package( NAME eckit  VERSION  1.16 REQUIRED )
+ecbuild_find_package( NAME eckit  VERSION  1.32 REQUIRED )
 
 ############################################################################################
 # sources

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 
 ecbuild_get_test_multidata( TARGET grib_get_data
-                            DIRNAME grib_api/data
+                            DIRNAME grib-api/test-data/data
                             NAMES latlon.grib
                                   synthetic_2msgs.grib )

=== src/metkit/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,8 @@
     mars/ClientTask.h
     mars/DHSProtocol.cc
     mars/DHSProtocol.h
+    mars/Matcher.cc
+    mars/Matcher.h
     mars/MarsExpandContext.cc
     mars/MarsExpandContext.h
     mars/MarsExpansion.cc

=== debian/changelog ===
metkit (1.15.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 05 Oct 2025 06:30:33 +0100

## metkit 1.15.2

=== src/experimental/CMakeLists.txt ===
ecbuild_add_executable( TARGET netcdf4-example
    CONDITION HAVE_NETCDF
    SOURCES  netcdf4-example.cc
    INCLUDES ${ECKIT_INCLUDE_DIRS}
    LIBS     eckit NetCDF::NetCDF_C
)

=== src/tools/CMakeLists.txt ===
--- 
+++ 
@@ -74,8 +74,19 @@
 
 
 if(HAVE_BUILD_TOOLS)
-  file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/nccompare.py
-    DESTINATION ${CMAKE_BINARY_DIR}/bin
-    FILE_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE )
+    list( APPEND tools nccompare.py compare-mars-requests.py )
+
+    foreach( _tool ${tools} )
+
+        file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/${_tool}
+            DESTINATION ${CMAKE_BINARY_DIR}/bin
+            FILE_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE )
+
+    endforeach()
+
+    install( FILES  ${CMAKE_BINARY_DIR}/bin/compare-mars-requests.py
+        DESTINATION "bin"
+        PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ WORLD_EXECUTE WORLD_READ )
+
 endif()

=== debian/changelog ===
metkit (1.15.2-1) unstable; urgency=medium

  * New upstream release
  * Update d/watch to version 4

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 17 Oct 2025 08:54:30 +0100
